Summary:	Library implementing the SSH protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH
Name:		libssh
Version:	0.9.6
Release:	1
Epoch:		1
License:	LGPL v2.1+; parts are BSD-licensed
Group:		Libraries
Source0:	https://www.libssh.org/files/0.9/%{name}-%{version}.tar.xz
# Source0-md5:	0174df377361221a31a9576afbaba330
Patch0:		openssl3.patch
URL:		http://www.libssh.org/
BuildRequires:	cmake >= 3.3.0
BuildRequires:	heimdal-devel
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	zlib-devel >= 1.2
Requires:	zlib >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ssh library was designed to be used by programmers needing a
working SSH implementation by the mean of a library. The complete
control of the client is made by the programmer. With libssh, you can
remotely execute programs, transfer files, use a secure and
transparent tunnel for your remote programs. With its Secure FTP
implementation, you can play with remote files easily, without
third-party programs others than libcrypto (from openssl).

%description -l pl.UTF-8
Biblioteka ssh została zaprojektowana do używania przez programistów
potrzebujących działającej implementacji SSH w postaci biblioteki. Za
pomocą libssh można przesyłać pliki, zdalnie uruchamiać programy bądź
też tworzyć na ich potrzeby bezpieczne i przezroczyste tunele. Dzięki
zawartej implementacji protokołu Secure FTP programista ma możliwość
łatwego wykonywania operacji na zdalnych plikach bez konieczności
korzystania z dodatkowego zewnętrznego oprogramowania poza biblioteką
libcrypto (pakiet openssl).

%package devel
Summary:	Header files for libssh library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libssh library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DWITH_SSH1=ON \
	-DWITH_ZLIB=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD ChangeLog README
%attr(755,root,root) %{_libdir}/libssh.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh.so
%{_includedir}/libssh
%{_pkgconfigdir}/libssh.pc
%{_libdir}/cmake/libssh
%changelog
* Wed Sep 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libssh.git;a=log;h=master

* Wed Sep 29 2021 Jan Rękorajski <baggins@pld-linux.org> 63aac5f
- up to 0.9.6, fixes CVE-2021-3634

* Thu Sep 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 90df191
- updated to 0.9.5 (fixes CVE-2020-16135)

* Sat May 16 2020 Jakub Bogusz <qboosh@pld-linux.org> a1de956
- updated to 0.9.4 (fixes CVE-2020-1730)

* Fri Mar 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 44e28a0
- updated to 0.9.3 (fixes CVE-2019-14889)

* Wed Jul 17 2019 Jakub Bogusz <qboosh@pld-linux.org> f9e70da
- updated to 0.9.0

* Fri Jan 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 8fecdbd
- updated to 0.8.6

* Wed Nov 07 2018 Jakub Bogusz <qboosh@pld-linux.org> d978c69
- updated to 0.8.5

* Wed Oct 17 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 18aea53
- up to 0.8.4; fixes CVE-2018-10933

* Tue Sep 18 2018 Jan Palus <atler@pld-linux.org> 4cb8cb9
- up to 0.8.2

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8403cbf
- release 3 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f67f8fa
- release 2 (by relup.sh)

* Tue Aug 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 0df88e0
- updated Source URL

* Thu May 25 2017 Jakub Bogusz <qboosh@pld-linux.org> b6248e3
- updated to 0.7.5

* Sun Jun 26 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 757caa2
- up to 0.7.3; fixed CVE-2016-0739, CVE-2015-3146

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> ff6b9e5
- Merge branch 'master' of git://git.pld-linux.org/packages/libssh

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> b81cb09
- updated to 0.6.4 (fixes CVE-2014-8132)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 4fce0e0
- release 2 (by relup.sh)

* Thu Mar 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d8de8d1
- up to 0.6.3; fixes CVE-2014-0017 and some other

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 9f49150
- updated to 0.5.3 (fixes CVE-2012-4559 CVE-2012-4560 CVE-2012-4561)

* Thu Sep 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 4f5d02e
- updated to 0.5.2

